# dmxcb.c File Reference

`#include "dmx.h"`
`#include "dmxcb.h"`
`#include "dmxinput.h"`
`#include "dmxlog.h"`

## Functions

void | dmxSetWidthHeight (int width, int height)
void | dmxComputeWidthHeight (DMXRecomputeFlag flag)
void | dmxConnectionBlockCallback (void)

## Variables

int | connBlockScreenStart
int | dmxGlobalWidth
int | dmxGlobalHeight

## Detailed Description

This code queries and modifies the connection block.

## Function Documentation

void dmxComputeWidthHeight | ( | DMXRecomputeFlag | flag | ) |

Computes the global bounding box for DMX. This may be larger than the one computed by Xinerama because of the DMX configuration file.

References DMX_NO_RECOMPUTE_BOUNDING_BOX, DMX_RECOMPUTE_BOUNDING_BOX, dmxGlobalHeight, dmxGlobalWidth, dmxInfo, dmxLog(), dmxNumScreens, dmxScreens, _DMXScreenInfo::rootXOrigin, _DMXScreenInfo::rootYOrigin, _DMXScreenInfo::scrnHeight, and _DMXScreenInfo::scrnWidth.

Referenced by dmxAdjustCursorBoundaries(), and InitOutput().

void dmxConnectionBlockCallback | ( | void |  | ) |

A callback routine that hooks into Xinerama and provides a convenient place to print summary log information during server startup. This routine does not modify any values.

References _DMXScreenInfo::beDefVisualIndex, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beVisuals, connBlockScreenStart, dmxError, dmxFatal, dmxGlobalHeight, dmxGlobalWidth, dmxInfo, dmxInputLogDevices(), dmxLog(), dmxLogVisual(), and dmxScreens.

Referenced by dmxAdjustCursorBoundaries(), and InitOutput().

void dmxSetWidthHeight | ( | int | width,
|  | int | height |
| ) |  |  |

We may want the wall dimensions to be different from the bounding box dimensions that Xinerama computes, so save those and update them here.

References dmxGlobalHeight, and dmxGlobalWidth.

Referenced by dmxConfigCopyData().

## Variable Documentation

int connBlockScreenStart

Referenced by dmxConnectionBlockCallback().

int dmxGlobalHeight

Referenced by dmxComputeWidthHeight(), dmxConnectionBlockCallback(), dmxConsoleComputeWidthHeight(), dmxCoreMotion(), dmxGetDesktopAttributes(), and dmxSetWidthHeight().

int dmxGlobalWidth

The cursor position, in global coordinates.

Referenced by dmxComputeWidthHeight(), dmxConnectionBlockCallback(), dmxConsoleComputeWidthHeight(), dmxCoreMotion(), dmxGetDesktopAttributes(), and dmxSetWidthHeight().

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>